/******************************************************************************
*	File		-	about.cpp
*	Author		-	Joey Pollack
*	Date		-	2021/11/03 (y/m/d)
*	Mod Date	-	2021/11/03 (y/m/d)
*	Description	-	The About panel
******************************************************************************/

#include "about.h"
#include <dearimgui/imgui.h>
#include <core/version.h>
#include <editor/editor.h>

namespace lunarium
{
namespace editor
{
    AboutPanel::AboutPanel()
        : Panel("About", PanelDockZone::DDZ_NONE, false, (int)ImGuiWindowFlags_NoCollapse)
    {

    }
    void AboutPanel::PreBegin()
    {
        ImGui::SetNextWindowSize(ImVec2(300, ImGui::GetFrameHeight() * 20));
    }

    void AboutPanel::DoFrame()
    {
        ImGui::TextWrapped("Lunarium Editor Version %s - Written by Joey Pollack", Version::GetVersion().ToString().c_str());
    }
}
}